<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
xmlns:xlink="http://www.w3.org/1999/xlink">

<xsl:template match="details" mode="text-files">

	<xsl:if test="$kg_show_heading='yes'">
		<xsl:call-template name="heading-files" />
	</xsl:if>
	<xsl:apply-templates mode="text-files" />
</xsl:template>

<xsl:template match="details/line" mode="text-files">

	<xsl:if test="not(@skipped)">
		<xsl:apply-templates select="source[@role=1]" mode="text-files" />

		<xsl:if test="$g_is_3way_comparison">
			<xsl:apply-templates select="source[@role=0]" mode="text-files" />
		</xsl:if>

		<xsl:apply-templates select="source[@role=2]" mode="text-files" />
<xsl:text>
</xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template match="details/line/source" mode="text-files">

	<xsl:choose>
	<xsl:when test="@empty='yes'">
		<!-- line number -->
		<xsl:call-template name="output-line_number" />

		<xsl:value-of select="$kg_separator" />

		<!-- line content -->
		<xsl:value-of select="$kg_delimiter" />
		<xsl:value-of select="$kg_delimiter" />

		<xsl:value-of select="$kg_separator" />

		<!-- line status -->
		<xsl:value-of select="$kg_delimiter" />
		<xsl:value-of select="$kg_delimiter" />
	</xsl:when>
	<xsl:otherwise>
		<!-- line number -->
		<xsl:call-template name="output-line_number" />

		<xsl:value-of select="$kg_separator" />
		
		<!-- line content -->
		<xsl:value-of select="$kg_delimiter" />
		<xsl:apply-templates mode="escape-CSV" />
		<xsl:value-of select="$kg_delimiter" />

		<xsl:value-of select="$kg_separator" />
		
		<!-- line status -->
		<xsl:value-of select="$kg_delimiter" />
		<xsl:call-template name="escape-CSV">
			<xsl:with-param name="string" select="@class" />
		</xsl:call-template>
		<xsl:value-of select="$kg_delimiter" />
		
	</xsl:otherwise>
	</xsl:choose>
	
	<xsl:value-of select="$kg_separator" />
</xsl:template>

<xsl:template name="heading-files">

	<!-- left line -->
	<xsl:value-of select="$kg_delimiter" />
	<xsl:text>Left line number</xsl:text>
	<xsl:value-of select="$kg_delimiter" />
	<xsl:value-of select="$kg_separator" />

	<xsl:value-of select="$kg_delimiter" />
	<xsl:text>Left line content</xsl:text>
	<xsl:value-of select="$kg_delimiter" />
	<xsl:value-of select="$kg_separator" />

	<xsl:value-of select="$kg_delimiter" />
	<xsl:text>Left line status</xsl:text>
	<xsl:value-of select="$kg_delimiter" />
	<xsl:value-of select="$kg_separator" />

	<!-- ancestor line -->
  <xsl:if test="$g_is_3way_comparison">
	  <xsl:value-of select="$kg_delimiter" />
	  <xsl:text>Ancestor line number</xsl:text>
	  <xsl:value-of select="$kg_delimiter" />
	  <xsl:value-of select="$kg_separator" />

	  <xsl:value-of select="$kg_delimiter" />
	  <xsl:text>Ancestor line content</xsl:text>
	  <xsl:value-of select="$kg_delimiter" />
	  <xsl:value-of select="$kg_separator" />

	  <xsl:value-of select="$kg_delimiter" />
	  <xsl:text>Ancestor line status</xsl:text>
	  <xsl:value-of select="$kg_delimiter" />
	  <xsl:value-of select="$kg_separator" />
   </xsl:if>

	<!-- right line -->
	<xsl:value-of select="$kg_delimiter" />
	<xsl:text>Right line number</xsl:text>
	<xsl:value-of select="$kg_delimiter" />
	<xsl:value-of select="$kg_separator" />

	<xsl:value-of select="$kg_delimiter" />
	<xsl:text>Right line content</xsl:text>
	<xsl:value-of select="$kg_delimiter" />
	<xsl:value-of select="$kg_separator" />

	<xsl:value-of select="$kg_delimiter" />
	<xsl:text>Right line status</xsl:text>
	<xsl:value-of select="$kg_delimiter" />
	<xsl:value-of select="$kg_separator" />
<xsl:text>
</xsl:text>
</xsl:template>

<xsl:template name="output-line_number">

	<xsl:choose>
	<xsl:when test="@line_number &gt;= 0">
		<xsl:value-of select="@line_number + 1" />
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>&#160;</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>
