﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
xmlns:xlink="http://www.w3.org/1999/xlink">

<xsl:output method="text" encoding="utf-8"/>

<xsl:include href="csv-report-files.xsl" />
<xsl:include href="csv-report-images.xsl" />
<xsl:include href="csv-report-binary-files.xsl" />
<xsl:include href="csv-report-eqtest-files.xsl" />
<xsl:include href="csv-report-folders.xsl" />

<xsl:variable name="kg_separator">,</xsl:variable>
<xsl:variable name="kg_delimiter">&quot;</xsl:variable>
<xsl:variable name="kg_show_heading">yes</xsl:variable>

<xsl:variable name="g_gui_type" select="/comparison-export/metadata/@gui-type" />
<xsl:variable name="g_is_3way_comparison" select="contains($g_gui_type, '3')" />
<xsl:variable name="g_sources_count">
	<xsl:choose>
	<xsl:when test="$g_is_3way_comparison">3</xsl:when>
	<xsl:otherwise>2</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:template match="/">

		<xsl:apply-templates select="/comparison-export/details" />
</xsl:template>

<xsl:template match="details">

	<xsl:choose>
	<xsl:when test="../@object-type='folder'">
		<xsl:apply-templates select="." mode="folders" />
	</xsl:when>
	<xsl:when test="../@object-type='image-file'">
		<xsl:apply-templates select="." mode="images" />
	</xsl:when>
	<xsl:when test="../@object-type='binary-file'">
		<xsl:apply-templates select="." mode="binaries" />
	</xsl:when>
	<xsl:when test="../@object-type='text-file'">
		<xsl:apply-templates select="." mode="text-files" />
	</xsl:when>
	<xsl:otherwise>
		<!-- nothing to do for binary files -->
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="node()" mode="escape-CSV" name="escape-CSV">
<xsl:param name="string"><xsl:apply-templates select="." /></xsl:param>

	<xsl:choose>
	<xsl:when test="contains($string, $kg_delimiter)">

		<xsl:value-of select="substring-before($string, $kg_delimiter)" />

		<xsl:value-of select="$kg_delimiter" />
		<xsl:value-of select="$kg_delimiter" />

		<xsl:call-template name="escape-CSV">
		<xsl:with-param name="string"
				select="substring-after($string, $kg_delimiter)" />
		</xsl:call-template>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$string" />
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="s">

	<xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="t">

	<xsl:text>	</xsl:text>
</xsl:template>

<xsl:template match="metadata/*/url">

	<xsl:value-of select="@url" />
</xsl:template>

</xsl:stylesheet>
