#!/bin/sh
# This script is intended to write a serial number into the configuration files
#  of ECMerge for a given user
# Usage: ecmerge-activation-all.sh <serial-number> <user-home>
# (c) Elli Computing 2008

# we find the most recent configuration file, and updates it if it exists
# else we create a basic configuration file

BASE_DIR=$2
CONFIG_DIR=$BASE_DIR/.settings/Ellie\ Computing/FileHistorizer

mkdir -p "$CONFIG_DIR"

if [ "$?" != "0" ] ; then
	exit;
fi

create_config_file() {
cat > $CONFIG_DIR/guimergeconfig.xml<<word
<?xml version="1.0" ?><configuration serial_number="" ><display_options default_font="" display_line_endings="no" display_white_spaces="no" show_margin="yes" show_line_numbers="yes" show_ancestor="yes" unchanged_text_bgcolor="#FFFFFF" inserted_text_bgcolor="#B6D5E8" deleted_text_bgcolor="#FFD2C8" changed_text_bgcolor="#CCFFCC" ignored_change_text_bgcolor="#E0E998" linking_line_color="#000000" ><user_marker shape="1" bgcolor="#00FFFF" fgcolor="#000000" /><conflict_marker shape="4" bgcolor="#E60000" fgcolor="#000000" /></display_options></configuration>
word
}

OLDPWD=`pwd`
# we consider that the right config to use is the one with the highest number
cd "$CONFIG_DIR"
CONFIG_NAME=`ls -t guimergeconfig*.xml 2> /dev/null | grep '\.[0-9][0-9]*\.' | sort -t . -k 2,2 -r | head -1`

if [ -z "$CONFIG_NAME" ]; then
	create_config_file
	CONFIG_NAME=guimergeconfig.xml
fi

# NB: all these tricks cope with the inability of sed to handle long lines.

head -1 $CONFIG_NAME | sed -e 's/serial_number="[^"]*/serial_number="'$1'/' > $CONFIG_NAME.tmp

if [ ! -s $CONFIG_NAME.tmp ]; then
	echo Could not find serial to update in $CONFIG_NAME, failed.
	exit;
fi

tail +2 $CONFIG_NAME >> $CONFIG_NAME.tmp

mv -f $CONFIG_NAME.tmp $CONFIG_NAME

cd $OLDPWD
