﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
xmlns:xlink="http://www.w3.org/1999/xlink">

<!-- *************************************************************************
strings used in report.xsl
************************************************************************** -->
<!-- Global constants -->
<xsl:variable name="kg_report_title">Comparison Report</xsl:variable>

<xsl:variable name="kg_sub_report_title">Sub-Comparison Report</xsl:variable>

<xsl:variable name="kg_statistics_report_title">Comparison Statistics</xsl:variable>

<xsl:variable name="kg_statistics_global_title">Global Statistics</xsl:variable>

<xsl:variable name="kg_statistics_detailed_one_text_title">Detailed Statistics</xsl:variable>

<xsl:variable name="kg_statistics_detailed_one_image_title">Detailed Statistics</xsl:variable>

<xsl:variable name="kg_statistics_detailed_one_binary_title">Detailed Statistics</xsl:variable>

<xsl:variable name="kg_statistics_detailed_text_title">Detailed Statistics for Text Files</xsl:variable>

<xsl:variable name="kg_statistics_detailed_image_title">Detailed Statistics for Image Files</xsl:variable>

<xsl:variable name="kg_statistics_detailed_binary_title">Detailed Statistics for Binary Files</xsl:variable>

<xsl:template name="kg_report_info">
<xsl:param name="date" />

	<xsl:text>This report has been generated by Ellié Computing Merge on </xsl:text>
	<xsl:value-of select="$date" />
	<xsl:text>.</xsl:text>
	<br/><xsl:text>&#169; 2005-2011 Ellié Computing </xsl:text>
	<a href="http://www.elliecomputing.com" target="_blank">http://www.elliecomputing.com</a>
	<xsl:text>. All rights reserved.</xsl:text>
</xsl:template>

<xsl:variable name="kg_yes">yes</xsl:variable>

<xsl:variable name="kg_no">no</xsl:variable>

<xsl:variable name="kg_description">Description</xsl:variable>

<xsl:variable name="kg_mega_bytes">Mb</xsl:variable>

<xsl:variable name="kg_kilo_bytes">Kb</xsl:variable>

<xsl:variable name="kg_bytes">Bytes</xsl:variable>

<xsl:variable name="kg_byteblocks">Blocks of bytes</xsl:variable>

<xsl:variable name="kg_left">Left</xsl:variable>

<xsl:variable name="kg_ancestor">Ancestor</xsl:variable>

<xsl:variable name="kg_right">Right</xsl:variable>

<xsl:variable name="kg_files_and_folders">Files and Folders</xsl:variable>

<xsl:variable name="kg_files">Files</xsl:variable>

<xsl:variable name="kg_blocks">Blocks</xsl:variable>

<xsl:variable name="kg_lines">Lines</xsl:variable>

<xsl:variable name="kg_image_dimensions">Image Dimensions</xsl:variable>

<xsl:variable name="kg_pixels">Pixels</xsl:variable>

<xsl:variable name="kg_all_files">All files</xsl:variable>

<xsl:variable name="kg_text_files">Text files</xsl:variable>

<xsl:variable name="kg_image_files">Image files</xsl:variable>

<xsl:variable name="kg_binary_files">Binary files</xsl:variable>

<!-- Text Comparison Options -->
<xsl:variable name="kg_text_comparison_options_title">Text comparison Options</xsl:variable>

<xsl:variable name="kg_match_case">Match character case</xsl:variable>

<xsl:variable name="kg_match_line_endings">Match line endings</xsl:variable>

<xsl:variable name="kg_match_whitespaces">Match spaces</xsl:variable>

<xsl:variable name="kg_ws_start">At start of lines</xsl:variable>

<xsl:variable name="kg_ws_middle">In middle of lines</xsl:variable>

<xsl:variable name="kg_ws_end">At end of lines</xsl:variable>

<xsl:variable name="kg_blank_lines_empty">Blank lines as empty lines</xsl:variable>

<xsl:variable name="kg_in_line_diff_algo">Activate comparison algorithm</xsl:variable>

<xsl:variable name="kg_in_line_word">At word level</xsl:variable>

<xsl:variable name="kg_in_line_char">At character level</xsl:variable>

<xsl:variable name="kg_ignore_line_changes_matching">Ignore changes made of lines matching</xsl:variable>

<xsl:variable name="kg_surround_changes">Surround changes</xsl:variable>

<xsl:template name="kg_security_distance">
<xsl:param name="line_nb" />

	<xsl:text>with a security distance of </xsl:text><xsl:value-of select="$line_nb" /><xsl:text> line(s).</xsl:text>
</xsl:template>

<xsl:variable name="kg_security_distance_only_overlap">which strictly overlap.</xsl:variable>

<xsl:variable name="kg_security_distance_all_changes">all.</xsl:variable>

<!-- Display Options -->
<xsl:variable name="kg_display_options_title">Display Options</xsl:variable>

<xsl:variable name="kg_display_line_endings">Display line endings</xsl:variable>

<xsl:variable name="kg_display_line_numbers">Display line numbers</xsl:variable>

<xsl:variable name="kg_display_statistics">Display comparison statistics</xsl:variable>

<!-- Folders Comparison Options -->
<xsl:variable name="kg_folder_comparison_options_title">Comparison Options</xsl:variable>

<xsl:variable name="kg_relative_path">Relative path</xsl:variable>

<xsl:variable name="kg_presence">Presence</xsl:variable>

<xsl:variable name="kg_folder_depth">Depth</xsl:variable>

<xsl:variable name="kg_folder_depth_one">Only the files in the top level of the folders are compared</xsl:variable>

<xsl:variable name="kg_folder_depth_all">All folders are compared recursively</xsl:variable>

<xsl:variable name="kg_folder_size_criteria">Size-based criteria</xsl:variable>

<xsl:variable name="kg_folder_diff_size_diff_files">Different file sizes mean different files</xsl:variable>

<xsl:variable name="kg_folder_same_size_same_files">Equal file sizes mean equal files</xsl:variable>

<xsl:variable name="kg_folder_date_criteria">Date-based criteria</xsl:variable>

<xsl:variable name="kg_folder_diff_date_diff_files">Different dates mean different files</xsl:variable>

<xsl:variable name="kg_folder_same_date_same_files">Equal dates mean equal files</xsl:variable>

<xsl:variable name="kg_folder_same_date_and_size_same_files">Only if sizes are equal</xsl:variable>

<xsl:variable name="kg_folder_fs_precision">File system precision</xsl:variable>

<xsl:variable name="kg_folder_compensate_fs_precision_loss">Compensate file system precision loss</xsl:variable>

<xsl:template name="kg_folders_date_comparison_method">
<xsl:param name="type" />
<xsl:param name="date_diff" />

	<xsl:choose>
	<xsl:when test="$type=1"><xsl:value-of select="$kg_folder_fs_exact" /></xsl:when>
	<xsl:when test="$type=2"><xsl:value-of select="$kg_folder_fs_fixed" /></xsl:when>
	<xsl:otherwise><xsl:value-of select="$kg_folder_fs_multiple" /></xsl:otherwise>
	</xsl:choose>
	
	<xsl:if test="$type!=1">
		<xsl:text> (</xsl:text>
		<xsl:value-of select="number($date_diff) div 60" />
		<xsl:text> minutes)</xsl:text>
	</xsl:if>
</xsl:template>

<xsl:variable name="kg_folder_fs_exact">Exact file dates</xsl:variable>

<xsl:variable name="kg_folder_fs_fixed">Fixed difference</xsl:variable>

<xsl:variable name="kg_folder_fs_multiple">Multiple difference</xsl:variable>

<xsl:variable name="kg_folder_filters_options_title">Filters Options</xsl:variable>

<xsl:variable name="kg_folder_filters_filename_title">File Name Filters</xsl:variable>

<xsl:variable name="kg_folder_filters_filename_include">Include patterns</xsl:variable>

<xsl:variable name="kg_folder_filters_filename_exclude">Exclude patterns</xsl:variable>

<xsl:variable name="kg_no_folder_filters_filename">No file name filter</xsl:variable>

<xsl:variable name="kg_folder_filters_status_title">File Status Filters</xsl:variable>

<xsl:variable name="kg_folder_filters_hide_missing">Hide files or folders missing</xsl:variable>

<xsl:variable name="kg_folder_filters_hide_present">Hide files or folders present</xsl:variable>

<xsl:variable name="kg_folder_filters_in_source">in left hierarchy</xsl:variable>

<xsl:variable name="kg_folder_filters_in_target">in right hierarchy</xsl:variable>

<xsl:variable name="kg_folder_filters_in_ancestor">in ancestor hierarchy</xsl:variable>

<xsl:variable name="kg_folder_filters_in_result">in result hierarchy</xsl:variable>

<xsl:variable name="kg_folder_filters_hide_compared">Hide files when</xsl:variable>

<xsl:variable name="kg_folder_filters_identical">identical</xsl:variable>

<xsl:variable name="kg_folder_filters_different">different</xsl:variable>

<xsl:variable name="kg_folder_filters_conflicting">conflicting</xsl:variable>

<xsl:variable name="kg_folder_filters_hide_others">Other hidden items</xsl:variable>

<xsl:variable name="kg_folder_filters_hide_system_hidden">System hidden files and folders</xsl:variable>

<xsl:variable name="kg_folder_filters_hide_empty_identical_folders">Identical folders with no content shown</xsl:variable>

<xsl:variable name="kg_no_folder_filters_status">No file status filter</xsl:variable>

<xsl:variable name="kg_folder_filters_filedate_title">File Date Filters</xsl:variable>

<xsl:variable name="kg_folder_filters_exclude_files_by_date_title">Use dates to hide files modified</xsl:variable>

<xsl:variable name="kg_folder_filters_exclude_files_if_everywhere">Only hide a file if it exists everywhere</xsl:variable>

<xsl:template name="kg_folder_filters_exclude_files_by_date">
<xsl:param name="before" />
<xsl:param name="nb_days" />
<xsl:param name="date" />
<xsl:param name="use_date" />
	
	<xsl:choose>
	<xsl:when test="$before='yes'"><xsl:text>before </xsl:text></xsl:when>
	<xsl:otherwise><xsl:text>after </xsl:text></xsl:otherwise>
	</xsl:choose>

	<xsl:choose>
	<xsl:when test="$use_date='yes'">
		<xsl:value-of select="$date" />
	</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="kg_days">
			<xsl:with-param name="nb" select="$nb_days" />
		</xsl:call-template>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="kg_days">
<xsl:param name="nb" />
	
	<xsl:choose>
	<xsl:when test="$nb = 1"><xsl:text>1 day</xsl:text></xsl:when>
	<xsl:otherwise><xsl:value-of select="$nb" /><xsl:text> days</xsl:text></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:variable name="kg_no_folder_filters_filedate">No file date filter</xsl:variable>

<xsl:variable name="kg_folder_display_options_title">Display Options</xsl:variable>

<xsl:variable name="kg_folder_show_size">Show file size</xsl:variable>

<xsl:variable name="kg_folder_show_date">Show file date</xsl:variable>

<xsl:variable name="kg_folder_show_mime">Show MIME type</xsl:variable>

<xsl:variable name="kg_folder_show_diff_count">Show changes count</xsl:variable>

<!-- Image Options -->
<xsl:variable name="kg_image_comparison_options_title">Image comparison Options</xsl:variable>

<xsl:variable name="kg_image_exact_threshold">Exactness threshold</xsl:variable>

<xsl:variable name="kg_image_difference_threshold">Difference threshold</xsl:variable>

<!-- Binary Options -->
<xsl:variable name="kg_binary_comparison_options_title">Binary comparison Options</xsl:variable>

<xsl:variable name="kg_binary_max_distance">Maximum distance</xsl:variable>

<xsl:variable name="kg_binary_min_match">Minimal match</xsl:variable>

<!-- Comparison Statistics -->
<xsl:variable name="kg_statistics_title">Comparison Statistics</xsl:variable>

<xsl:variable name="kg_all_files_explanation">The sum "All files" may be greater
	than the actual sum of the number per file type, indeed, the files designated as
	different by metadata-based rules (size, date...) are not open and their type is
	not determined in order to accelerate the differentiation process.</xsl:variable>

<xsl:template name="kg_statistics_pair_info">
<xsl:param name="one" />
<xsl:param name="two" />
	
	<xsl:text>Between </xsl:text><xsl:value-of select="$one" /><xsl:text> and </xsl:text><xsl:value-of select="$two" />
</xsl:template>

<xsl:variable name="kg_unchanged_items">Unchanged</xsl:variable>

<xsl:variable name="kg_changed_items">Changed</xsl:variable>

<xsl:variable name="kg_inserted_items">Inserted</xsl:variable>

<xsl:variable name="kg_deleted_items">Deleted</xsl:variable>

<xsl:variable name="kg_ignored_items">Ignored</xsl:variable>

<xsl:variable name="kg_similar_items">Similar</xsl:variable>

<xsl:variable name="kg_all_changes">All Changes</xsl:variable>

<xsl:template name="kg_merge_files_conflicts_description">
<xsl:param name="nb" />
	
	<xsl:text>Changes within </xsl:text>
	<b>
		<xsl:call-template name="kg_conflicts">
			<xsl:with-param name="nb" select="$nb" />
		</xsl:call-template>
	</b>
</xsl:template>

<xsl:template name="kg_merge_folders_with_conflicts">
<xsl:param name="nb" />
	
	<xsl:text>This folder cannot be merged automatically. There </xsl:text>
	<xsl:choose>
	<xsl:when test="$nb='1'">
		<xsl:text>is</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>are</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:text> </xsl:text>
	<b>
		<xsl:call-template name="kg_conflicts">
			<xsl:with-param name="nb" select="$nb" />
		</xsl:call-template>
	</b>
	<xsl:text> concerning files to solve manually.</xsl:text>
</xsl:template>

<xsl:template name="kg_conflicts">
<xsl:param name="nb" />
	
	<xsl:choose>
	<xsl:when test="$nb = 1"><xsl:text>1 conflict</xsl:text></xsl:when>
	<xsl:otherwise><xsl:value-of select="$nb" /><xsl:text> conflicts</xsl:text></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- Comparison Details -->
<xsl:variable name="kg_details_title">Comparison Details</xsl:variable>

<xsl:variable name="kg_details_change_count_3">This 'Change Count' column contains the number of changes found between the left and right folder hierarchies.</xsl:variable>

<!-- Legend -->
<xsl:variable name="kg_legend_title">Legend</xsl:variable>

<xsl:variable name="kg_unchanged_sample">Example of unchanged line</xsl:variable>

<xsl:variable name="kg_changed_sample">Example of modified line</xsl:variable>

<xsl:variable name="kg_conflicting_sample">Example of conflicting line</xsl:variable>

<xsl:variable name="kg_inserted_sample">Example of added line</xsl:variable>

<xsl:variable name="kg_deleted_sample">Example of removed line</xsl:variable>

<xsl:variable name="kg_ignored_sample">Example of ignored line</xsl:variable>

<xsl:variable name="kg_unchanged_line">Unchanged line</xsl:variable>

<xsl:variable name="kg_changed_line">Modified line</xsl:variable>

<xsl:variable name="kg_conflicting_line">Conflicting line</xsl:variable>

<xsl:variable name="kg_inserted_line">Added line</xsl:variable>

<xsl:variable name="kg_deleted_line">Removed line</xsl:variable>

<xsl:variable name="kg_ignored_line">Ignored line</xsl:variable>

<xsl:variable name="kg_unchanged_code">U</xsl:variable>

<xsl:variable name="kg_changed_code">C</xsl:variable>

<xsl:variable name="kg_inserted_code">A</xsl:variable>

<xsl:variable name="kg_deleted_code">R</xsl:variable>

<xsl:variable name="kg_ignored_code">I</xsl:variable>

<xsl:variable name="kg_inline_changed_text">Modified text</xsl:variable>

<xsl:variable name="kg_inline_inserted_text">Added text</xsl:variable>

<xsl:variable name="kg_inline_deleted_text">Removed text</xsl:variable>

<!-- Metadata -->
<xsl:variable name="kg_compared_files_titles">Compared files</xsl:variable>

<xsl:variable name="kg_compared_images_titles">Compared images</xsl:variable>

<xsl:variable name="kg_compared_folders_titles">Compared folders</xsl:variable>

<xsl:variable name="kg_2way_comparison">2-Way Comparison</xsl:variable>

<xsl:variable name="kg_3way_comparison">3-Way Comparison</xsl:variable>

<xsl:variable name="kg_file_name">Name</xsl:variable>

<xsl:variable name="kg_last_modified">Last modified</xsl:variable>

<xsl:variable name="kg_size">Size</xsl:variable>

<xsl:variable name="kg_encoding">Encoding</xsl:variable>

<xsl:variable name="kg_encoding_autodetected">autodetected</xsl:variable>

<xsl:variable name="kg_encoding_default">default</xsl:variable>

<xsl:variable name="kg_encoding_forced">forced</xsl:variable>

<xsl:variable name="kg_result_location">Result location</xsl:variable>

<xsl:variable name="kg_no_result_location">No result location defined. The actions cannot be determined, the corresponding column will not be displayed.</xsl:variable>

<xsl:variable name="kg_missing_file">file is missing</xsl:variable>

<xsl:variable name="kg_missing_folder">folder is missing</xsl:variable>

<xsl:variable name="kg_syntax_colouring_language_used">Syntax colouring language used</xsl:variable>

<!-- Binary Files Comparison -->
<xsl:variable name="kg_binary_files_identical">Binary files are identical.</xsl:variable>

<xsl:variable name="kg_binary_files_different">Binary files are different.</xsl:variable>

<!-- Images Files Comparison -->
<xsl:variable name="kg_images_files_identical">Image files are identical.</xsl:variable>

<xsl:variable name="kg_images_files_different">Image files are different.</xsl:variable>

<!-- Text Files Comparison -->
<xsl:template name="kg_skipped_lines">
<xsl:param name="nb" />

	<xsl:choose>
	<xsl:when test="$nb = 1"><xsl:text>1 skipped line</xsl:text></xsl:when>
	<xsl:otherwise><xsl:value-of select="$nb" /><xsl:text> skipped lines</xsl:text></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- Folder Comparison -->
<xsl:variable name="kg_merge_result">Merge result</xsl:variable>

<xsl:variable name="kg_action">Action</xsl:variable>

<xsl:template name="kg_changes">Change Count</xsl:template>

<xsl:variable name="kg_changes_col_width">6</xsl:variable>

</xsl:stylesheet>
