// (c) Elli Computing
// Name: edit-name-filters.js
// Version: 1.1
// Purpose: let the user updates file named filters from a simple button / shortcut


macros["options_quick_edit_name_filters"] = function () {

    function quick_edit() {
        var currentdoc = current_frame.coordinator.document;
        if (!(currentdoc instanceof FolderDocument))
            return alert(_("works only on folder documents"));

        var exclude_string = currentdoc.parameters.settings["typed.folders.comparison.filters_options.names_filters.exclude_list"];
        var excludes = exclude_string.split(";")
        if (exclude_string != "")
            exclude_string = "-" + excludes.join(";-");

        var include_string = currentdoc.parameters.settings["typed.folders.comparison.filters_options.names_filters.include_list"];

        var name_filters_string = include_string + (exclude_string != "" && include_string != "" ? ";" : "") + exclude_string;

        var new_filters = prompt(_("Enter the patterns (use '-*.txt' to exclude something, see Name filters\ndocumentation for more help, enter single space to deactivate all filters):"), name_filters_string);
        if (new_filters == "")
            return;

        var mixed_includes_excludes = new_filters.split(";")
        var includes = [];
        excludes = [];
        for (var idx = 0; idx < mixed_includes_excludes.length; ++idx) {
            if (mixed_includes_excludes[idx].substring(0, 1) != '-')
                includes.push(mixed_includes_excludes[idx]);
            else
                excludes.push(mixed_includes_excludes[idx].substring(1));
        }

        var new_parameters = currentdoc.parameters.clone();
        new_parameters.settings["typed.folders.comparison.filters_options.names_filters.include_list"] = includes.join(";")
        new_parameters.settings["typed.folders.comparison.filters_options.names_filters.exclude_list"] = excludes.join(";")

        currentdoc.parameters = new_parameters;
    }

    var menu = [
		{ label: _("Quick edit name filters"), event: quick_edit } ,
		{ label: _("Name filters options page"), event: function () { execute_macro('options_edit_name_filters') } },
	];

    popup_menu(menu);
}

macros["options_quick_edit_name_filters"].label = _("Edit names filters");
macros["options_quick_edit_name_filters"].toolbar_name = "folders";
macros["options_quick_edit_name_filters"].shortcut = "Ctrl+Shift+N";
macros["options_quick_edit_name_filters"].icon_url = script_url.compose("../edit-name-filters.png");
macros["options_quick_edit_name_filters"].available_for_document_types = "folders";
