// (c) Elli Computing
// Name: folder-status-filters.js
// Version: 1.1
// Purpose: offers various status based filter combinations

macros["folder_status_filters"] = function() {

	function show_all (options)
	{
		options["typed.folders.comparison.filters_options.display_conflicts"] = true
		options["typed.folders.comparison.filters_options.display_different"] = true
		options["typed.folders.comparison.filters_options.display_identical"] = true
		options["typed.folders.comparison.filters_options.hide_missing_in_source"] = false
		options["typed.folders.comparison.filters_options.hide_missing_in_target"] = false
		options["typed.folders.comparison.filters_options.hide_missing_in_ancestor"] = false
		options["typed.folders.comparison.filters_options.hide_missing_in_result"] = false
		options["typed.folders.comparison.filters_options.hide_system_hidden"] = false
	}
	
	function hide_orphans (options)
	{
		options["typed.folders.comparison.filters_options.hide_missing_in_source"] = true
		options["typed.folders.comparison.filters_options.hide_missing_in_target"] = true
	}

	function hide_equal (options)
	{
		options["typed.folders.comparison.filters_options.display_identical"] = false
	}
	
	function hide_system (options)
	{
		options["typed.folders.comparison.filters_options.hide_system_hidden"] = true
	}

	function toggle_show_hidden (options)
	{
		options["typed.folders.comparison.filters_options.show_hidden_items"] = !options["typed.folders.comparison.filters_options.show_hidden_items"]
	}
	
	function settings_patcher(settings_modifier)
	{
		var currentdoc = current_frame.coordinator.document;
		var params = currentdoc.parameters.clone ();
		
		settings_modifier (params.settings);
		
		currentdoc.parameters = params;		
	}


	var menu = [ 
		{ label: _("Show all"), event: function() { settings_patcher(show_all) } },
		{ label: _("Hide orphans"), event: function() { settings_patcher(hide_orphans) }  },
		{ label: _("Hide equal"), event: function() { settings_patcher(hide_equal) }  },
		{ label: _("Hide system files"), event: function() { settings_patcher(hide_system) }  },
		{ label: _("Show/Hide hidden items"), event: function() { settings_patcher(toggle_show_hidden) }  },
		{ label: _("Status filters options page"), event: function () { execute_macro('options_edit_status_filters') } },
		{ label: _("Date filters options page"), event: function () { execute_macro('options_edit_date_filters') } },
	];
	
	popup_menu (menu);
}

macros["folder_status_filters"].label = _("Status Filters");
macros["folder_status_filters"].toolbar_name = "folders"; 
macros["folder_status_filters"].icon_url = script_url.compose("../folder-status-filters.png");
macros["folder_status_filters"].available_for_document_types = "texts";
