﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
xmlns:xlink="http://www.w3.org/1999/xlink">

<xsl:variable name="g_is_for_merge" select="contains($g_gui_type, 'merge')" />
<xsl:variable name="g_is_merge_with_output" select="/comparison-export/@output-defined='yes'" />
<xsl:variable name="g_show_changes_count" select="$g_folder_display_options_node/@show_diffcount='yes'" />
<xsl:variable name="g_show_changes_count_in_left" select="$g_show_changes_count" />
<xsl:variable name="g_show_changes_count_in_non_left" select="$g_is_3way_comparison and $g_show_changes_count" />
<xsl:variable name="g_indent_non_left_trees" select="$g_folder_display_options_node/@indent_non_left_trees='yes'" />

<xsl:variable name="g_folder_column_width_number">
	<xsl:choose>
	<xsl:when test="$g_is_3way_comparison">
		<xsl:choose>
		<xsl:when test="$g_is_for_merge">
			<xsl:choose>
			<xsl:when test="$g_is_merge_with_output">20</xsl:when>
			<xsl:otherwise>25</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>33</xsl:otherwise>
		</xsl:choose>
	</xsl:when>
	<xsl:otherwise>
		<xsl:choose>
		<xsl:when test="$g_is_for_merge">
			<xsl:choose>
			<xsl:when test="$g_is_merge_with_output">25</xsl:when>
			<xsl:otherwise>33</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>50</xsl:otherwise>
		</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="g_folder_column_width">
	<xsl:value-of select="$g_folder_column_width_number" /><xsl:text>%</xsl:text>
</xsl:variable>

<xsl:template name="metadata_bottom_folders">

	<xsl:if test="$g_is_for_merge and not($g_is_merge_with_output) and boolean(/comparison-export/details)">
		<xsl:value-of select="$kg_no_result_location" />
	</xsl:if>
</xsl:template>

<xsl:template name="metadata-folder-item">
<xsl:param name="position" />
<xsl:param name="node" />

	<table class="tablebox" cellspacing="1">
		<xsl:if test="$position = 0"><xsl:attribute name="align">center</xsl:attribute></xsl:if>
		<tr>
			<td colspan="2" class="tablebox_header hth">
			<xsl:call-template name="source_role">
				<xsl:with-param name="source_idx"><xsl:value-of select="$position" /></xsl:with-param>
			</xsl:call-template>
			</td>
		</tr>
		<xsl:choose>
		<xsl:when test="boolean($node)">
			<tr>
				<td colspan="2" class="hth">
					<xsl:choose>
					<xsl:when test="boolean($node/@title) and $node/@title != ''">
						<b>
										<xsl:value-of select="$node/@title" />
									</b>
					</xsl:when>
					<xsl:otherwise>
						<b>
										<xsl:apply-templates select="$node/url" />
									</b>
					</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td class="tablebox_header vth"><xsl:value-of select="$kg_encoding" /></td>
				<td>
					<xsl:choose>
					<xsl:when test="boolean($node/@prefered-ansi-encoding)">
						<xsl:value-of select="$node/@prefered-ansi-encoding" />
					</xsl:when>
					<xsl:when test="boolean($node/loading-encoding-props/@encoding)">
						<xsl:value-of select="$node/loading-encoding-props/@encoding" />
					</xsl:when>
					</xsl:choose>
					
					<xsl:text> </xsl:text>
					<xsl:choose>
					<xsl:when test="$node/loading-encoding-props/@use_signature='yes'">
						<xsl:value-of select="$kg_encoding_default" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$kg_encoding_forced" />
					</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<xsl:if test="$g_is_for_merge and $g_is_merge_with_output">
				<tr>
					<td class="tablebox_header vth"><xsl:value-of select="$kg_result_location" /></td>
					<td>
						<xsl:call-template name="output-yes-no">
							<xsl:with-param name="text" select="$node/@output" />
						</xsl:call-template>
					</td>
				</tr>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<tr>
				<td colspan="2">
					<xsl:value-of select="$kg_missing_folder" />
				</td>
			</tr>
		</xsl:otherwise>
		</xsl:choose>
	</table>
</xsl:template>

<xsl:template match="details" mode="folders">

	<xsl:call-template name="display_heading">
		<xsl:with-param name="text">
			<xsl:value-of select="$kg_details_title" />
		</xsl:with-param>
	</xsl:call-template>

  <table class="tablebox details" cellspacing="1" width="100%" border="0">
		<!-- table header -->
		<tr>
			<th class="tablebox_header">
				<xsl:value-of select="$kg_left" />
			</th>
			<xsl:if test="$g_show_changes_count">
				<th class="tablebox_header ch_count" style="width:{$kg_changes_col_width}ex"><xsl:call-template name="kg_changes" /></th>
			</xsl:if>
			<xsl:if test="$g_is_3way_comparison">
				<th class="tablebox_header">
					<xsl:value-of select="$kg_ancestor" />
				</th>
				<xsl:if test="$g_show_changes_count">
					<th class="tablebox_header ch_count" style="width:{$kg_changes_col_width}ex"><xsl:call-template name="kg_changes" /></th>
				</xsl:if>
			</xsl:if>
			<th class="tablebox_header">
				<xsl:value-of select="$kg_right" />
			</th>
			<xsl:if test="$g_is_3way_comparison and $g_show_changes_count">
				<th class="tablebox_header ch_count" style="width:{$kg_changes_col_width}ex"><xsl:call-template name="kg_changes" /><xsl:text>**</xsl:text></th>
			</xsl:if>
			
			<xsl:if test="$g_is_for_merge">
				<th class="tablebox_header" width="{$g_folder_column_width_number div 2}%">
					<xsl:value-of select="$kg_merge_result" />
				</th>
				<xsl:if test="$g_is_merge_with_output">
					<th class="tablebox_header" width="{$g_folder_column_width_number div 2}%">
						<xsl:value-of select="$kg_action" />
					</th>
				</xsl:if>
			</xsl:if>
		</tr>
		
		<!-- table content -->
		<xsl:apply-templates mode="folders" />
	</table>
	<xsl:if test="$g_is_3way_comparison and $g_show_changes_count">
		<xsl:text>**</xsl:text><xsl:value-of select="$kg_details_change_count_3" /><br />
	</xsl:if>
</xsl:template>

<xsl:template match="item[parent::details or parent::item]" mode="folders">

	<xsl:if test="count(*[@deleted='yes'])!=$g_sources_count">
		<tr>
			<xsl:apply-templates select="left" mode="folders" />
			
			<xsl:if test="$g_is_3way_comparison">
				<xsl:choose>
				<xsl:when test="boolean(ancestor)">
					<xsl:apply-templates select="ancestor" mode="folders" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="missing-folder-item-source">
						<xsl:with-param name="node_name">ancestor</xsl:with-param>
					</xsl:call-template>
				</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
			
			<xsl:apply-templates select="right" mode="folders" />
			
			<xsl:if test="$g_is_for_merge">
				<xsl:call-template name="item_extra_text">
					<xsl:with-param name="text" select="./@result" />
				</xsl:call-template>
				<xsl:if test="$g_is_merge_with_output">
					<xsl:call-template name="item_extra_text">
						<xsl:with-param name="text" select="./@actions" />
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</tr>
		<xsl:apply-templates select="item" mode="folders" />
	</xsl:if>
</xsl:template>

<xsl:template match="item/*[name()!='item']" mode="folders">

	<td>
		<xsl:if test="not($g_use_monochrome_css)">
			<xsl:attribute name="class">
				<xsl:variable name="attr">
					<xsl:call-template name="item_bgcolor_classname" />
				</xsl:variable>
				<xsl:value-of select="normalize-space($attr)" />
			</xsl:attribute>
		</xsl:if>
		
		<xsl:if test="boolean(@icon)">
			<div class="folder_icon">
				<xsl:if test="name(.)='left' or $g_indent_non_left_trees">
					<xsl:attribute name="style">padding-left: <xsl:value-of select="string(number(../@level) * 10)" />px;</xsl:attribute>
				</xsl:if>
				<xsl:if test="@icon">
					<img class="folder_icon" src="{@icon}" />
				</xsl:if>
			</div>
		</xsl:if>
		
		<div class="left">
			<xsl:call-template name="item_file_name" />
		</div>
		<xsl:if test="@is-folder='no'">
			<div class="right">
				<xsl:call-template name="file_details" />
			</div>
		</xsl:if>
	</td>
	<xsl:if test="(name(.)='left' and $g_show_changes_count_in_left) or (name(.)!='left' and $g_show_changes_count_in_non_left)">
		<td>
			<xsl:attribute name="class">
				<xsl:variable name="attr">
					<xsl:text>ch_count </xsl:text>
					<xsl:if test="not($g_use_monochrome_css)">
						<xsl:call-template name="item_bgcolor_classname" />
					</xsl:if>
				</xsl:variable>
				<xsl:value-of select="normalize-space($attr)" />
			</xsl:attribute>

			<xsl:value-of select="@diff-count" />
			<xsl:if test="string-length(@diff-count)=0">
				<xsl:text>&#160;</xsl:text>
			</xsl:if>
		</td>
	</xsl:if>
</xsl:template>

<xsl:template name="missing-folder-item-source">
<xsl:param name="node_name" />

	<td>
		<xsl:if test="not($g_use_monochrome_css)">
			<xsl:attribute name="class">R</xsl:attribute> <!-- check monochrome CSS -->
		</xsl:if>

		<xsl:text>&#160;</xsl:text>
	</td>
	<xsl:if test="($node_name='left' and $g_show_changes_count_in_left) or ($node_name!='left' and $g_show_changes_count_in_non_left)">
		<td>
			<xsl:attribute name="class">ch_count R</xsl:attribute>
			<xsl:text>&#160;</xsl:text>
		</td>
	</xsl:if>
</xsl:template>

<xsl:template name="item_extra_text">
<xsl:param name="text" />

	<td>
		<span>
			<xsl:choose>
			<xsl:when test="@conflict='unresolved'">
				<xsl:if test="not($g_use_monochrome_css)">
					<xsl:attribute name="class">conflict</xsl:attribute>
				</xsl:if>
				<b>
					<xsl:value-of select="$text" />
				</b>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" />
			</xsl:otherwise>
			</xsl:choose>
		</span>
	</td>
</xsl:template>

<xsl:template name="item_file_name">

	<xsl:choose>
	<xsl:when test="../@conflict='unresolved'">
		<span>
			<xsl:if test="not($g_use_monochrome_css)">
				<xsl:attribute name="class">conflict</xsl:attribute>
			</xsl:if>
			<b>
				<xsl:call-template name="file_name" />
			</b>
		</span>
	</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="file_name" />
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="$g_use_monochrome_css">
		<xsl:text> [</xsl:text>
		<xsl:call-template name="item_bgcolor_text" />
		<xsl:text>]</xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template name="file_name">

	<xsl:choose>
	<xsl:when test="boolean (../@sub-report)">
		<a href="{../@sub-report}">
			<xsl:value-of select="@filename" />
		</a>
	</xsl:when>
	<xsl:when test="boolean (../@sub-report-id)">
		<a href="#{../@sub-report-id}">
			<xsl:value-of select="@filename" />
		</a>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="@filename" />
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="file_details">

	<xsl:if test="$g_folder_display_options_node/@show_size='yes' or $g_folder_display_options_node/@show_date='yes'">
		<xsl:variable name="size_text">
			<xsl:if test="$g_folder_display_options_node/@show_size='yes' and boolean(@size)">
				<xsl:call-template name="display-size">
					<xsl:with-param name="size" select="@size" />
				</xsl:call-template>
			</xsl:if>
		</xsl:variable>
		<xsl:variable name="date_text">
			<xsl:if test="$g_folder_display_options_node/@show_date='yes'">
				<xsl:if test="$g_folder_display_options_node/@show_date_text='yes' and boolean(@modification-date)">
					<xsl:value-of select="substring-before(@modification-date, '.')" />
				</xsl:if>
			</xsl:if>
		</xsl:variable>
		<xsl:variable name="date_tooltip_text">
			<xsl:if test="$g_folder_display_options_node/@show_date='yes'">
				<xsl:if test="$g_folder_display_options_node/@show_date_text='yes' and boolean(@modification-date)">
					<xsl:value-of select="@modification-date" />
				</xsl:if>
			</xsl:if>
		</xsl:variable>
		<xsl:variable name="show_date_icon">
			<xsl:if test="$g_folder_display_options_node/@show_date='yes' and $g_folder_display_options_node/@show_oldestnewest='yes'">
				<xsl:if test="boolean(@least-recent) or boolean(@most-recent)">
					<xsl:text>yes</xsl:text>
				</xsl:if>
			</xsl:if>
		</xsl:variable>

		<xsl:if test="string-length($size_text)&gt;0 or string-length($show_date_icon)&gt;0 or string-length($date_text)&gt;0">
			<xsl:text> (</xsl:text>
			<span>
				<xsl:if test="not($g_use_monochrome_css) and ../@conflict='unresolved'">
					<xsl:attribute name="class">conflict</xsl:attribute>
				</xsl:if>
				<xsl:if test="string-length($size_text)&gt;0">
					<xsl:value-of select="$size_text" />
					<xsl:text>, </xsl:text>
				</xsl:if>
				<xsl:if test="string-length($show_date_icon)&gt;0">
					<xsl:choose>
					<xsl:when test="@least-recent='yes'">
						<img src="{/comparison-export/icons/@least-recent}" class="date_icon" />
					</xsl:when>
					<xsl:when test="@most-recent='yes'">
						<img src="{/comparison-export/icons/@most-recent}" class="date_icon" />
					</xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="string-length($date_text)&gt;0">
					<span>
						<xsl:attribute name="title">
							<xsl:value-of select="$date_tooltip_text" />
						</xsl:attribute>
						<xsl:value-of select="$date_text" />
					</span>
				</xsl:if>
			</span>
			<xsl:text>)</xsl:text>
		</xsl:if>
	</xsl:if>
</xsl:template>

<xsl:template name="item_bgcolor_text">

	<xsl:choose>
	<xsl:when test="../@visible='no'">
		<xsl:call-template name="output-class-code">
			<xsl:with-param name="class">IU</xsl:with-param>
		</xsl:call-template>
	</xsl:when>
	<xsl:when test="./@deleted='yes'">
		<xsl:call-template name="output-class-code">
			<xsl:with-param name="class">RU</xsl:with-param>
		</xsl:call-template>
	</xsl:when>
	<xsl:when test="not(boolean(@status))">
		<xsl:call-template name="output-class-code">
			<xsl:with-param name="class">UU</xsl:with-param>
		</xsl:call-template>
	</xsl:when>
	<xsl:when test="@status='always'">
		<xsl:text>UNKNOWN ITEM STATUS always</xsl:text>
	</xsl:when>
	<xsl:when test="@status='added'">
		<xsl:call-template name="output-class-code">
			<xsl:with-param name="class">AU</xsl:with-param>
		</xsl:call-template>
	</xsl:when>
	<xsl:when test="@status='missing'">
		<xsl:call-template name="output-class-code">
			<xsl:with-param name="class">RU</xsl:with-param>
		</xsl:call-template>
	</xsl:when>
	<xsl:when test="@status='difference'">
		<xsl:call-template name="output-class-code">
			<xsl:with-param name="class">CU</xsl:with-param>
		</xsl:call-template>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>UNKNOWN ITEM STATUS </xsl:text><xsl:value-of select="@status" />
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="item_bgcolor_classname">

	<xsl:choose>
	<xsl:when test="../@visible='no'">
		<xsl:text>I </xsl:text>
	</xsl:when>
	<xsl:when test="./@deleted='yes'">
		<xsl:text>R </xsl:text>
	</xsl:when>
	<xsl:when test="not(boolean(@status))">
		<xsl:text>U </xsl:text>
	</xsl:when>
	<xsl:when test="@status='always'">
<!--
		<xsl:text>UNKNOWN ITEM STATUS always</xsl:text>
-->
	</xsl:when>
	<xsl:when test="@status='added'">
		<xsl:text>A </xsl:text>
	</xsl:when>
	<xsl:when test="@status='missing'">
		<xsl:text>R </xsl:text>
	</xsl:when>
	<xsl:when test="@status='difference'">
		<xsl:text>C </xsl:text>
	</xsl:when>
	<xsl:otherwise>
<!--
		<xsl:text>UNKNOWN ITEM STATUS </xsl:text><xsl:value-of select="@status" />
-->
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="statistics" mode="folders">

	<!-- title -->
	<xsl:choose>
	<xsl:when test="$g_is_stats_only">
		<h2>
					<xsl:value-of select="$kg_statistics_report_title" />
				</h2>
	</xsl:when>
	<xsl:otherwise>
		<br /><br />
		<xsl:call-template name="display_heading">
			<xsl:with-param name="text">
				<xsl:value-of select="$kg_statistics_title" />
			</xsl:with-param>
		</xsl:call-template>
	</xsl:otherwise>
	</xsl:choose>
	
	<!-- global data table -->
	<xsl:if test="../@object-type='folder'">
		<xsl:apply-templates select="all" />
	</xsl:if>
	
	<!-- detailed data tables per document type -->
	<xsl:if test="sum(all/pair/granularity[@type='files-text']/@changed) + sum(all/pair/granularity[@type='files-text']/@unchanged) &gt; 0">
		<xsl:call-template name="detailed_stats_for_text_files" />
	</xsl:if>
	<xsl:if test="sum(all/pair/granularity[@type='files-image']/@changed) + sum(all/pair/granularity[@type='files-image']/@unchanged) &gt; 0">
		<xsl:call-template name="detailed_stats_for_image_files" />
	</xsl:if>
  <xsl:if test="sum(all/pair/granularity[@type='files-binary']/@changed) + sum(all/pair/granularity[@type='files-binary']/@unchanged) &gt; 0">
    <xsl:call-template name="detailed_stats_for_binary_files" />
  </xsl:if>
</xsl:template>

</xsl:stylesheet>
