@echo off
pushd %~dp0
rem Samples for ECMerge command line

rem Path handling
set ECMERGE_PATH_I=%ECMERGE_PATH%
if  "%ECMERGE_PATH:~0,0%"=="" (
	set TO_TEST=%ECMERGE_PATH:~0,1%
)
if "%ECMERGE_PATH_I%"=="" set ECMERGE_PATH_I=c:\program files\elli computing\merge\ecmerge.exe

set ECMERGECLI_PATH_I=%ECMERGECLI_PATH%
if  "%ECMERGECLI_PATH:~0,0%"=="" (
	set TO_TEST=%ECMERGECLI_PATH:~0,1%
)
if "%ECMERGECLI_PATH_I%"=="" set ECMERGECLI_PATH_I=c:\program files\elli computing\merge\ecmerge-cli.exe

rem Serial handling
if not "%ECMERGE_SERIAL%"=="" set ECMERGE_SERIAL_I=--serial-number="%ECMERGE_SERIAL%"

rem Samples
rem Running ECMerge looks like: "%ECMERGE_PATH_I%" %ECMERGE_SERIAL_I% <your-parameters-here>

rem Sample 1: launch a pure command line merge

if "%1"=="" goto :sample1
if not "%1"=="1" goto :test_sample2
:sample1
"%ECMERGECLI_PATH_I%" %ECMERGE_SERIAL_I% --mode=merge2 --quiet --to=- --yes=inclusive-merge ..\en\lg.xml ..\fr\lg.xml 
if "%ERRORLEVEL%"=="0" echo ECMerge reports everything is OK
if not "%ERRORLEVEL%"=="0" echo ECMerge reports there were conflicts during merge

:test_sample2
rem Sample 2: launch a silent if possible merge which works silently

if "%1"=="" goto :sample2
if not "%1"=="2" goto :test_sample3
:sample2
"%ECMERGE_PATH_I%" %ECMERGE_SERIAL_I% --mode=merge2 --sip -l --to=dummyfile.xsl ..\en\translations.xsl ..\en\translations.xsl 
if "%ERRORLEVEL%"=="0" echo ECMerge reports everything is OK
if not "%ERRORLEVEL%"=="0" echo ECMerge reports there were conflicts during merge

:test_sample3
rem Sample 3: launch a silent if possible merge which does not work silently

if "%1"=="" goto :sample3
if not "%1"=="3" goto :test_sample4
:sample3
"%ECMERGE_PATH_I%" %ECMERGE_SERIAL_I% --mode=merge2 --sip -l --to=dummyfile.xsl ..\en\translations.xsl ..\fr\translations.xsl 
if "%ERRORLEVEL%"=="0" echo ECMerge reports everything is OK
if not "%ERRORLEVEL%"=="0" echo ECMerge reports there were conflicts during merge

:test_sample4
rem Sample 4: generate a sample XML report comparing two translation files

if "%1"=="" goto :sample4
if not "%1"=="4" goto :test_sample5
:sample4
"%ECMERGECLI_PATH_I%" %ECMERGE_SERIAL_I% --mode=diff2 -X=xml -O=reportfile.xml ..\en\translations.xsl ..\fr\translations.xsl 
if "%ERRORLEVEL%"=="0" echo ECMerge reports everything is OK
if not "%ERRORLEVEL%"=="0" echo ECMerge reports something wrong during report generation

:test_sample5

popd
