#!/bin/sh
# Samples for ECMerge command line

# Path handling
if [ -z "$ECMERGE_PATH" ] ; then 
	if [ "`uname`" != Darwin ] ; then
		ECMERGE_PATH=/opt/elliecomputing/ecmerge/guimerge ;
	else
		ECMERGE_PATH=/Applications/ECMerge.app/Contents/MacOS/guimerge ;
	fi ;
fi

# Serial handling
if [ -n "$ECMERGE_SERIAL" ] ; then
	ECMERGE_SERIAL_I=" --serial-number=\"$ECMERGE_SERIAL\"";
else
	unset ECMERGE_SERIAL_I ;
fi

ECMERGECLI_PATH=$ECMERGE_PATH\ --cli

# calling ECMerge looks now like: $ECMERGE_PATH $ECMERGE_SERIAL_I <your-parameters-here>

# Sample 1 : launch a pure command line merge

if [ "$1" = "" -o "$1" = "1" ] ; then
	$ECMERGECLI_PATH $ECMERGE_SERIAL_I --mode=merge2 --quiet --to=- --yes=inclusive-merge ../en/lg.xml ../fr/lg.xml
	if [ "$?" = "0" ]; then
		echo ECMerge reports everything is OK
	else
		echo ECMerge reports there were conflicts during merge
	fi
fi

# Sample 2 : launch a silent if possible merge which works silently

if [ "$1" = "" -o "$1" = "2" ] ; then
	$ECMERGE_PATH $ECMERGE_SERIAL_I --mode=merge2 --sip -l --to=dummyfile.xsl ../en/translations.xsl ../en/translations.xsl 
	if [ "$?" = "0" ]; then
		echo ECMerge reports everything is OK
	else
		echo ECMerge reports there were conflicts during merge
	fi
fi

# Sample 3 : launch a silent if possible merge which does not work silently

if [ "$1" = "" -o "$1" = "3" ] ; then
	$ECMERGE_PATH $ECMERGE_SERIAL_I --mode=merge2 --sip -l --to=dummyfile.xsl ../en/translations.xsl ../fr/translations.xsl 
	if [ "$?" = "0" ]; then
		echo ECMerge reports everything is OK
	else
		echo ECMerge reports there were conflicts during merge
	fi
fi

# Sample 4 : launch a silent if possible merge which does not work silently

if [ "$1" = "" -o "$1" = "4" ] ; then
	$ECMERGECLI_PATH $ECMERGE_SERIAL_I --mode=diff2 -X=xml -O=reportfile.xml ../en/translations.xsl ../fr/translations.xsl 
	if [ "$?" = "0" ]; then
		echo ECMerge reports everything is OK
	else
		echo ECMerge reports there were conflicts during merge
	fi
fi
